Subject: Re: [PATCH] enic: add ethtool get_channel support

From: Simon Horman <[email-masked]>
Date: Wed, 19 Jun 2024 19:01:05 +0100

On Wed, Jun 19, 2024 at 06:59:15PM +0100, Simon Horman wrote:
> On Tue, Jun 18, 2024 at 09:01:46AM -0700, Jon Kohler wrote:
> > Add .get_channel to enic_ethtool_ops to enable basic ethtool -l
> > support to get the current channel configuration.
> 
> This is nice :)
> 
> > Note that the driver does not support dynamically changing queue
> > configuration, so .set_channel is intentionally unused. Instead, users
> > should use Cisco's hardware management tools (UCSM/IMC) to modify
> > virtual interface card configuration out of band.
> 
> That is a shame :(
> 
> > Signed-off-by: Jon Kohler <[email-masked]>
> 
> Sad face aside, this looks good to me.
> 
> Reviewed-by: Simon Horman <[email-masked]>

Oops, I failed to notice that Przemek Kitszel has some questions about this
regarding issues that I overlooked. So I'll have to take my tag back for now.

Sorry for the noise.